## net.i2p.client
Class SessionStatusMessageHandler

    java.lang.Object
      net.i2p.client.HandlerImpl
          net.i2p.client.SessionStatusMessageHandler

All Implemented Interfaces:
  I2CPMessageHandler

class SessionStatusMessageHandler
extends HandlerImpl

Handle I2CP SessionStatusMessagese from the router, updating the session as necssary.

Author:
  jrandom

Field Summary
`protected I2PAppContext` `_context`
`protected Log` `_log`

Constructor Summary
`SessionStatusMessageHandler(I2PAppContext context)`

Method Summary
`int` `getType()`
`void` `handleMessage(I2CPMessage message, I2PSessionImpl session)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _log

    protected Log _log

### _context

    protected I2PAppContext _context

Constructor Detail

### SessionStatusMessageHandler

    public SessionStatusMessageHandler(I2PAppContext context)

Method Detail

### handleMessage

    public void handleMessage(I2CPMessage message,
                              I2PSessionImpl session)

### getType

    public int getType()

  Specified by:
    `getType` in interface `I2CPMessageHandler`